Package de.willuhn.jameica.hbci.gui.parts

# Class KontoList

java.lang.Object
de.willuhn.jameica.gui.parts.AbstractTablePart
de.willuhn.jameica.gui.parts.TablePart
de.willuhn.jameica.hbci.gui.parts.KontoList

All Implemented Interfaces:
  `de.willuhn.jameica.gui.extension.Extendable`, `de.willuhn.jameica.gui.Part`

Direct Known Subclasses:
  `KontoList`, `KontoList`, `KontoList`

public class KontoList extends de.willuhn.jameica.gui.parts.TablePart implements de.willuhn.jameica.gui.Part, de.willuhn.jameica.gui.extension.Extendable
Implementierung einer fix und fertig vorkonfigurierten Liste aller Konten.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`KontoList.SaldoMessageConsumer`
Hilfsklasse damit wir ueber neue Salden informiert werden.

## Nested classes/interfaces inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`de.willuhn.jameica.gui.parts.AbstractTablePart.AbstractTableItem`

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.parts.TablePart

`tableFormatter`

### Fields inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`action, changeable, checkable, columns, menu, multi, rememberColWidth, rememberOrder, rememberState, selectionListeners`

## Constructor Summary

Constructors
Constructor
Description
`KontoList(List<Konto> konten, de.willuhn.jameica.gui.Action action)`
ct.

## Method Summary

Modifier and Type
Method
Description
`protected de.willuhn.jameica.gui.parts.table.Feature.Context`
`createFeatureEventContext(de.willuhn.jameica.gui.parts.table.Feature.Event e, Object data)`
`String`
`getExtendableID()`
`void`
`paint(org.eclipse.swt.widgets.Composite parent)`
`void`
`setShowFilter(boolean b)`
Legt fest, ob die Filtermoeglichkeiten angezeigt werden sollen.

### Methods inherited from class de.willuhn.jameica.gui.parts.TablePart

`addChangeListener, addItem, addItem, addItem, addItem, getCollator, getControlValue, getEditorControl, getItems, getItems, getSelection, getSummary, isEnabled, orderBy, orderBy, refreshSummary, removeAll, removeItem, restoreState, select, setChecked, setEnabled, setFormatter, setSummary, setTopIndex, size, sort, updateItem`

### Methods inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`addColumn, addColumn, addColumn, addColumn, addColumn, addFeature, addFeature, addSelectionListener, asList, featureEvent, getFeature, hasEvent, isMulti, removeFeature, select, setCheckable, setChecked, setContextMenu, setMulti, setRememberColWidths, setRememberOrder, setRememberState`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KontoList

public KontoList(List<Konto> konten, de.willuhn.jameica.gui.Action action)
ct.

Parameters:
  `konten` -
  `action` -

## Method Details

### getExtendableID

public String getExtendableID()

Specified by:
  `getExtendableID` in interface `de.willuhn.jameica.gui.extension.Extendable`
See Also:
  - `Extendable.getExtendableID()`

### setShowFilter

public void setShowFilter(boolean b)
Legt fest, ob die Filtermoeglichkeiten angezeigt werden sollen.

Parameters:
  `b` - true, wenn die Filtermoeglichkeiten angezeigt werden sollen.

### paint

public void paint(org.eclipse.swt.widgets.Composite parent) throws RemoteException

Specified by:
  `paint` in interface `de.willuhn.jameica.gui.Part`
Overrides:
  `paint` in class `de.willuhn.jameica.gui.parts.TablePart`
Throws:
  `RemoteException`
See Also:
  - `Part.paint(org.eclipse.swt.widgets.Composite)`

### createFeatureEventContext

protected de.willuhn.jameica.gui.parts.table.Feature.Context createFeatureEventContext(de.willuhn.jameica.gui.parts.table.Feature.Event e, Object data)

Overrides:
  `createFeatureEventContext` in class `de.willuhn.jameica.gui.parts.TablePart`
See Also:
  - `TablePart.createFeatureEventContext(de.willuhn.jameica.gui.parts.table.Feature.Event, java.lang.Object)`